<ion-header>
  <ion-toolbar style="--background: var(--ion-color-primary);color:white">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title class="search-title">
      <ion-item lines="none" style="height: 50px;width:105%">
        <ion-searchbar autofocus="true" debounce="1000" (keyup)="isClickTitle = false"
          (ionChange)="!isClickTitle ? searchTitle($event) : ''" [(ngModel)]="formData.keyword" #searchInput mode="ios"
          placeholder="Cari buku..." style="height: 50px;"></ion-searchbar>
      </ion-item>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list *ngIf="!isLoading && titleList?.length > 0" class="ion-padding-start ion-padding-end">
    <ion-item lines="full" [hidden]="titleList?.length == 0" *ngFor="let list of titleList"
      (click)="searchBook(list?.bookTitle)">
      <ion-icon name="search" slot="start"></ion-icon>
      <ion-label>{{list?.bookTitle}}</ion-label>
    </ion-item>
  </ion-list>

  <ion-grid *ngIf="!isLoading && titleList?.length == 0">
    <ion-row *ngIf="formData.filterFromHome != '' && formData.filterFromHome != undefined">
      <ion-col>
        <ion-chip outline="true" color="danger">
          <ion-icon name="bookmark"></ion-icon>
          <ion-label color="primary">
            {{
              formData.filterFromHome == 'popular' ? 'Buku Terpopuler' : formData.filterFromHome == 'booknew' ? 'Buku Terbaru' : 'Buku Paling Banyak Dicari' 
            }}
          </ion-label>
        </ion-chip>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col *ngFor="let book of bookList" size="6" no-padding style="margin-bottom:10px;">
        <ion-card class="container-book" (click)="gotoDetail(book?.bookID,book)">
          <div class="book-list" class="ion-text-center">
            <div style="width:100%">
              <img class="ion-text-center" src="{{storagePath.storageBookCover(book?.bookCover,book?.libraryID)}}"
                onError="this.src = 'assets/img/default-book.png'">
            </div>
            <div>
              <h5 class="ion-text-start" style="font-size:12px;font-weight: bold">{{book?.bookTitle}}</h5>
              <p class="label-category ion-text-start">{{(book?.categoryTitle) ? book?.categoryTitle : "---"}}
              </p>
            </div>
            <div style="position:relative;">
              <ion-grid>
                <ion-row>
                  <ion-col class="ion-text-start" size='6' style="font-size: 10px">Stok: {{book?.bookStock}}</ion-col>
                  <ion-col class="ion-text-start" size='6' style="font-size: 10px">Terbit: {{book?.bookRelease}}
                  </ion-col>
                </ion-row>
                <ion-row style="margin-top: 10px;">
                  <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{book?.bookWriter}}
                  </ion-col>
                </ion-row>
                <ion-row style="margin-top: -5px;">
                  <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px;font-weight: bold">
                    {{book?.libraryName}}</ion-col>
                </ion-row>
              </ion-grid>
            </div>

          </div>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ng-container *ngIf="isLoading">
    <ion-item *ngFor='let i of [1,2,3]' class="item-skel" lines="none">
      <ion-card>
        <ion-thumbnail slot="start" class="skeleton-thumbs">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
        <p>
          <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
        </p>
      </ion-card>

      <ion-card>
        <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
        <p>
          <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </p>
        <p>
          <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
        </p>
      </ion-card>
    </ion-item>
  </ng-container>

  <div *ngIf="titleList?.length == 0 && bookList?.length == 0">
    <div class="img-not-found ion-padding ion-text-center">
      <div><img src="../../../assets/img/book-not-found.png"></div>
      <div>
        <h5>Tidak ada yang ditampilkan</h5>
      </div>
    </div>
  </div>

  <ion-infinite-scroll threshold="100px" (ionInfinite)="doInfinite($event,formData.page)">
    <ion-infinite-scroll-content loadingSpinner="crescent">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

</ion-content>

<ion-footer *ngIf="isClickTitle || formData.filterFromHome">
  <div class="ion-text-center">
    <ion-button shape="round" fill="outline" color="dark" (click)="filter()">
      <ion-icon name="wine"></ion-icon> Filter
    </ion-button>
    <ion-button shape="round" fill="outline" color="dark" (click)="sorting()">
      <ion-icon name="list"></ion-icon> Urutkan
    </ion-button>
  </div>
</ion-footer>